Subject: Re: How mantainers check Git diffs and patches?

From: Henrique Soares <[email-masked]>
Date: Wed, 1 Oct 2025 23:59:35 -0300

On Wed, Oct 01, 2025 at 09:37:34AM -0400, Konstantin Ryabitsev wrote:
> This will apply it on top of the current HEAD:
> 
>     b4 shazam https://lore.kernel.org/git/[email-masked]
> 
> This will fetch it into FETCH_HEAD, making it behave pretty identical to a
> pull request:
> 
>     b4 shazam -H https://lore.kernel.org/git/[email-masked]

I just didn't know about b4, and this is probably the tool I was looking for.
Basically what I was doing was `git apply` patch-by-patch manually (with
a little scripting), but b4 seems the right tool for the job.

> Hope this helps,

Yes, a lot! Thanks.

-- Henrique